%global npmname nopt
%global npminstdir /usr/lib/node_modules/%{npmname}
%global deplist abbrev

Summary: Option parsing for Node 
Name: nodejs-%{npmname}
Version: 2.0.0
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/isaacs/nopt
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Requires: nodejs-abbrev
Provides: nodejs-%{npmname} = %{version}

%description
Option parsing for Node, supporting types, shorthands, etc. Used by npm.

%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr .npmignore bin lib package.json %{buildroot}/%{npminstdir}

# Setup the dependancies
cd %{buildroot}/%{npminstdir}
mkdir node_modules
for depend in %{deplist}
do
  ln -s /usr/lib/node_modules/$depend node_modules/$depend
done

# Setup Binaries
mkdir %{buildroot}%{_bindir}
ln -s %{npminstdir}/bin/nopt.js %{buildroot}%{_bindir}/nopt

%files
%doc LICENSE README.md examples
%{npminstdir}
%{_bindir}/nopt

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 2.0.0-1
- Initial build using nodejs spec template

